# frozen_string_literal: true

require_relative "lib/sftrace/agent/version"

Gem::Specification.new do |spec|

  spec.name          = "sftrace-agent"
  spec.version       = Sftrace::Agent::VERSION
  spec.authors       = ["SnappyFlow"]
  spec.email         = ["no-reply@snappyflow.io"]

  spec.summary       = "SnappyFlow tracing allows you to monitor software services and applications in real time."
  spec.description   = "Sftracing enables you to analyze performance throughout your microservices architecture all in one view. This is accomplished by tracing all of the requests - from the initial web request to your front-end service - to queries made to your back-end services. This makes finding possible bottlenecks throughout your application much easier and faster."
  spec.homepage      = "https://www.snappyflow.io/#/resources/sftracing/ruby"
  spec.license       = "MIT"

  spec.required_ruby_version = ">= 2.4.0"

  # spec.metadata["allowed_push_host"] = "Set to 'https://mygemserver.com'"

  # spec.metadata["homepage_uri"] = spec.homepage
  # spec.metadata["source_code_uri"] = "Put your gem's public repo URL here."
  # spec.metadata["changelog_uri"] = "Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"
  spec.add_dependency "elastic-apm", "~> 4.3"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html

end
